Loading...
Searching...
No Matches
casacore::deflate::Compressor Class Reference

`#include <Deflate.h>`

## Public Member Functions

| Compressor (int compression_level)
| Compressor (int compression_level, const libdeflate_options &options)
| ~Compressor ()
size_t | Compress (std::span< const std::byte > input, std::span< std::byte > output)
| Compresses the input into output.
size_t | CompressBound (size_t input_size)
| Worst-case upper bound on the number of bytes of compressed data that may be produced by compressing any buffer of length less than or equal to `input_size`.

## Private Attributes

struct libdeflate_compressor * | compressor_

## Detailed Description

Definition at line 12 of file Deflate.h.

## Constructor & Destructor Documentation

## Compressor() [1/2]

casacore::deflate::Compressor::Compressor | ( | int | compression_level | ) |

inline

Definition at line 14 of file Deflate.h.

References compressor_.

## Compressor() [2/2]

casacore::deflate::Compressor::Compressor | ( | int | compression_level,
|  | const libdeflate_options & | options )

inline

Definition at line 21 of file Deflate.h.

References compressor_.

## ~Compressor()

casacore::deflate::Compressor::~Compressor | ( |  | ) |

inline

Definition at line 29 of file Deflate.h.

References compressor_.

## Member Function Documentation

## Compress()

size_t casacore::deflate::Compressor::Compress | ( | std::span< const std::byte > | input,
|  | std::span< std::byte > | output )

inline

Compresses the input into output.

If the compressed data does not fit into output, a value of zero is returned. Otherwise, the number of output bytes written is returned.

Definition at line 36 of file Deflate.h.

References compressor_.

## CompressBound()

size_t casacore::deflate::Compressor::CompressBound | ( | size_t | input_size | ) |

inline

Worst-case upper bound on the number of bytes of compressed data that may be produced by compressing any buffer of length less than or equal to `input_size`.

Definition at line 47 of file Deflate.h.

References compressor_.

## Member Data Documentation

## compressor_

struct libdeflate_compressor* casacore::deflate::Compressor::compressor_

private

Definition at line 52 of file Deflate.h.

Referenced by Compress(), CompressBound(), Compressor(), Compressor(), and ~Compressor().

The documentation for this class was generated from the following file:

- tables/AlternateMans/Deflate.h